#!/bin/csh
# **********************************************************************
# * CERNSYS SHELL v1.02                                                *
# *                                                                    *
# * translates system information to CERN Unix Workstation Code conv.  *
# *                                                                    *
# * Author: M.Marquina 92/10/04                                        *
# * Mods       Date   Commments                                        *
# * MARQUINA 92/11/08 Add Ultrix and Amiga                             *
# *          93/08/02 Add setup of PLINAME+PLISYS                      *
# * A.Lomov  93/08/11 Add Linux                                        *
# *                                                                    *
# **********************************************************************
 
  if ( $?PLIUWC == 0 ) then
     usys=`uname -s`
 
     case $usys in
       UNIX_System_V) PLIUWC="amx" ;;
       DomainOS) [ `uname -m` = "DN10000" ] && PLIUWC="a10" \
                                            || PLIUWC="apo" ;;
       ULTRIX)   PLIUWC="dec" ;;
       HP-UX)    PLIUWC="hpx" ;;
       AIX)      PLIUWC="irs" ;;
       Linux)    PLIUWC="lnx" ;;
       SunOS)    PLIUWC="sun" ;;
       *)        PLIUWC="xxx" ;;
     esac
  endif

  case $PLIUWC in
       dec) PLINAME="DECS"      ; PLISYS="BSD"     ;;
       dos) PLINAME="MSDOS"     ; PLISYS="DOS"     ;;
       hpx) PLINAME="HPUX"      ; PLISYS="SYSTEMV" ;;
       irs) PLINAME="IBMRT"     ; PLISYS="SYSTEMV" ;;
       lnx) PLINAME="LINUX"     ; PLISYS=""        ;;
       *)   PLINAME="UNKNOWN"   ; PLISYS="UNKNOWN" ;;
  esac
  export PLIUWC PLINAME PLISYS
