#!/bin/csh
# **********************************************************************
# * XMV SHELL v1.01                                                    *
# *                                                                    *
# * Extension of mv to rename sets of files                            *
# *                                                                    *
# * Author: M.Marquina 90/05/21                                        *
# * Mods         Date   Commments                                      *
# * M.Marquina 93/12/08 Do not place . if files do not have extension  *
# *            93/12/21 Support prefix/suffix with ppp=sss spec        *
# *                                                                    *
# **********************************************************************
      set _n=0
  if ( "$1" == "-n" ) then
      set _n=1 ; shift
  endif
  if ( $#argv == 0 ) then
     echo "syntax: $0 [-n] input_spec output_spec" ; exit
  endif
 
    set nf=$#argv
    set OFILE=$argv[$nf]
    set OFN0=`echo $OFILE | awk -F. '{ print $1 }'`
    set OFT0=`echo $OFILE | awk -F. '{ print $2 }'`
    set  OFP=`echo $OFN0  | awk -F= '{ print $1 }'`
    set  OFS=`echo $OFN0  | awk -F= '{ print $2 }'`

    if ( "$OFP" != "" || "$OFS" != "" ) then
       set OFN0="=" ; set OFT0="="
    endif
 
 while ( $#argv > 1 )
    set IFILE=$1 ; shift
    set IFN=`echo $IFILE | awk -F. '{ print $1 }'`
    set IFT=`echo $IFILE | awk -F. '{ print $2 }'`
 
			  set OFN=$OFN0
                          set OFT=$OFT0
    if ( "$OFN0" == "=" ) set OFN=$IFN
    if ( "$OFT0" == "=" ) set OFT=$IFT
    if ( "$OFT"  != ""  ) set OFT=".$OFT"

    set cmd="mv $IFILE $OFP$OFN$OFT$OFS"
    echo $cmd
    if ( $_n == 0 ) $cmd
  end
