#!/bin/csh
# **********************************************************************
# * PLIENV   Program Library Installlation ENVironment                 *
# *                                                                    *
# * Author: M.Marquina 90/02/16                                        *
# * Mods       Date   Commments                                        *
# * MARQUINA 90/04/19 Set PLITMP                                       *
# * MARQUINA 90/04/25 Add PLIGLIB                                      *
# * MARQUINA 90/05/01 Add $CERN_ROOT/mgr to the path                   *
# * MARQUINA 90/05/02 Add PLISYS, update PLIGLIB for DECS              *
# * MARQUINA 90/09/10 Enable GLIBs for different graphic systems       *
# *          90/09/16 Add PLISTA to control installation status(-P,-D) *
# *                   Add IBMAIX, merge with PLIENVCS                  *
# *                   Add CERN_LEVEL to suppress file,delete PLILEVEL  *
# *                   Define PLITMP,PLISTA only at login time          *
# * MARQUINA 90/09/21 Add Cray-Unicos                                  *
# * MARQUINA 90/09/28 set CERN=/cern as default, add PLITIME           *
# * MARQUINA 90/11/06 Add GRAFLIB                                      *
# *          90/11/07 gpr is an inlib library                          *
# *          90/12/16 Use printenv on the CONVEX-csh                   *
# *          91/02/12 Use eval in inline setenv to make it work in sh  *
# *          91/02/20 Add NECSX flag, CMZ_ROOT, GKS_ROOT, NAG_ROOT     *
# *          91/05/07 Default to X11 on all machines                   *
# *                   Add multi-SYSG setting for cernlib makefile      *
# *          91/06/24 Use standard checking of var.existance in csh    *
# *          91/12/05 Add PLIUWC for kerngen and plitar                *
# *          91/12/12 Add MKL,CFS pointers and OBJ,PAM for back comp.  *
# * GUNTER   92/03/01 Set CERN only the first time                     *
# *                   Add GEANT_VERSION, JETSET_VERSION                *
# *          92/07/28 Add PATCHY_VERSION, CMZ_VERSION                  *
# * GUNTER   92/12/03 Add APOFTN,APOF77                                *
# * MARQUINA 93/02/09 Add ISAJET_VERSION, upgrade HERWIG               *
# *                   Clean-up SYSGMOTIF                               *
# * GUNTER   94/03/14 Update MC version numbers                        *
# * GUNTER   94/10/04 Update MC version numbers (isajet713)            *
# * MCLAREN  95/04/06 Update lepto version number (lepto62)            *
# *                                                                    *
# **********************************************************************
  if ( $?PLISTA == 0 )    setenv PLISTA PRO
  if ( $?PLITIME == 0 )   setenv PLITIME OFF
  if ( $?CERN == 0 )      setenv CERN /cern
  if ( $?CERN_LEVEL == 0 ) setenv CERN_LEVEL new
#
# Set CERN variable to the ROOT directory of CERNlib, tipically /cern.
# Another possibility is to use CERN=$HOME/cern, where $HOME is the
# HOME directory of the installer's account.
#
  setenv CERN_ROOT $CERN/$CERN_LEVEL
#
  setenv GKS_ROOT  $CERN/gks/$CERN_LEVEL
  setenv NAG_ROOT  $CERN/nag/$CERN_LEVEL
#
# IF /tmp is not large enough you may want to set PLITMP=$HOME/tmp
#
  if ( $?PLITMP == 0 )    setenv PLITMP /tmp
 
  setenv BIN $CERN_ROOT/bin
  setenv DOC $CERN_ROOT/doc
  setenv LIB $CERN_ROOT/lib
  setenv MGR $CERN_ROOT/mgr
 
  setenv SRC $CERN_ROOT/src
  setenv CAR $CERN_ROOT/src/car
  setenv CFS $CERN_ROOT/src/cfs
  setenv CMZ $CERN_ROOT/src/cmz
  setenv MKF $CERN_ROOT/src/mkf
 
  setenv LOG $CERN_ROOT/log
  setenv PAT $CERN_ROOT/patchy
 
  setenv CRA $CERN_ROOT/src/cra
  setenv OBJ $CERN_ROOT/src/cfs
  setenv PAM $CERN_ROOT/src/car
 
# --------
# *_VERSION: environment variables setting default versions for
#            Products and Montecarlo Libraries
  if ( $?CMZ_VERSION == 0 )      setenv CMZ_VERSION new
  if ( $?PATCHY_VERSION == 0 )   setenv PATCHY_VERSION 4.15
                                 setenv CMZ_ROOT $CERN/cmz/$CMZ_VERSION
 
  if ( $?GEANT_VERSION == 0 )    setenv GEANT_VERSION 321
  if ( $?HERWIG_VERSION == 0 )   setenv HERWIG_VERSION 58
  if ( $?ISAJET_VERSION == 0 )   setenv ISAJET_VERSION 713
  if ( $?JETSET_VERSION == 0 )   setenv JETSET_VERSION 74
  if ( $?LEPTO_VERSION == 0 )    setenv LEPTO_VERSION 62
  if ( $?PYTHIA_VERSION == 0 )   setenv PYTHIA_VERSION 57
 
  set path=($CERN_ROOT/bin $path $CERN_ROOT/mgr)

 source $CERN_ROOT/mgr/cernsys.csh
